Index: trunk/MagicSoft/Mars/datacenter/scripts/sourcefile
===================================================================
--- trunk/MagicSoft/Mars/datacenter/scripts/sourcefile	(revision 8527)
+++ trunk/MagicSoft/Mars/datacenter/scripts/sourcefile	(revision 8534)
@@ -146,5 +146,5 @@
       rm -v $todofile
    fi
-   if ls $lockfile >/dev/null 2>&1
+   if ! [ "$lockfile" = "" ] && ls $lockfile >/dev/null 2>&1
    then 
       rm -v $lockfile
